GNU bug report logs - #9407
GNUmakefile mode thinks comments need a space before them after colon

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: jidanni@HIDDEN; merged with #24380, #33247; dated Tue, 30 Aug 2011 11:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 9407 24380 33247. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 9407 24380. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2011 11:50:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 07:50:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyMpK-0008QH-R6
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 07:50:00 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jidanni@HIDDEN>) id 1QyMpI-0008Q9-A2
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 07:49:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QyMmG-000113-KV
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 07:46:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
	T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:51609)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QyMmG-00010z-J0
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 07:46:48 -0400
Received: from eggs.gnu.org ([140.186.70.92]:56182)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QyMmF-0007BB-Oc
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 07:46:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QyMmE-0000xv-PU
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 07:46:47 -0400
Received: from caiajhbdcaib.dreamhost.com ([208.97.132.81]:59203
	helo=homiemail-a1.g.dreamhost.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QyMmE-0000uZ-Dz
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 07:46:46 -0400
Received: from homiemail-a1.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a1.g.dreamhost.com (Postfix) with ESMTP id 1E57034806E
	for <bug-gnu-emacs@HIDDEN>; Tue, 30 Aug 2011 04:46:42 -0700 (PDT)
DomainKey-Signature: a=rsa-sha1; c=nofws; d=jidanni.org; h=from:to:subject
	:date:message-id:mime-version:content-type; q=dns; s=jidanni.org
	; b=JgAM8hDzDl3aed/Veb0l3dc8RJLp88sobfyCuFSRUHFft7WRsKLWX4wJgTjZ
	nb43qHZEWm/No2beGDB7TR555B8sIkWVjnjV7KEp72zT86kvFemulJgwaLyVLvt6
	pIiuJE6IAIi23oc89L2Iug2Q4gQq8gfJLYlv2v7o22ThDws=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
	:subject:date:message-id:mime-version:content-type; s=
	jidanni.org; bh=EHuwI961Rv3HUBMGqd/BbmXD6QE=; b=KJ9KA9B1oQOQCYjQ
	4KV24J6yILUEC5qjDioKHgId2ruKCK+V2wqIYsukDzUDxgGOojvGNGiaBzDUJb2w
	JK3CXgfCawLL4Iz+SQgXgtnZ27711Y5hdgwdZmrMpb5tuK+dEORvdgu+kE4mfDTQ
	O/TmR6iTDA4+Hfws+qQ3ol/RouI=
Received: from jidanni.org (218-163-7-118.dynamic.hinet.net [218.163.7.118])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a1.g.dreamhost.com (Postfix) with ESMTPSA id CC9A434806B
	for <bug-gnu-emacs@HIDDEN>; Tue, 30 Aug 2011 04:46:41 -0700 (PDT)
From: jidanni@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: GNUmakefile mode thinks comments need a space before them after colon
Date: Tue, 30 Aug 2011 18:32:31 +0800
Message-ID: <87y5ybdwao.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.4 (-----)

$ cat makefile
m: #this is a comment, which we note is in proper comment color
n:#this is also a comment, which we note is NOT in proper comment color
$ emacs -Q makefile




Acknowledgement sent to jidanni@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9407; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 3 Nov 2018 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.